CVE-2021-20203

An integer overflow issue was found in the vmxnet3 NIC emulator of the QEMU for versions up to v5.2.0. It may occur if a guest was to supply invalid values for rx/tx queue size or other NIC parameters. A privileged guest user may use this flaw to crash the QEMU process on the host resulting in DoS scenario.
References
Link Resource
https://bugzilla.redhat.com/show_bug.cgi?id=1922441 Issue Tracking Patch Third Party Advisory
https://bugs.launchpad.net/qemu/+bug/1913873 Exploit Patch Third Party Advisory
https://lists.debian.org/debian-lts-announce/2021/04/msg00009.html Mailing List Third Party Advisory
https://security.gentoo.org/glsa/202208-27 Third Party Advisory
https://lists.debian.org/debian-lts-announce/2022/09/msg00008.html Mailing List Third Party Advisory
Configurations

Configuration 1 (hide)

cpe:2.3:a:qemu:qemu:*:*:*:*:*:*:*:*

Configuration 2 (hide)

cpe:2.3:o:fedoraproject:fedora:33:*:*:*:*:*:*:*

Configuration 3 (hide)

OR cpe:2.3:o:debian:debian_linux:9.0:*:*:*:*:*:*:*
cpe:2.3:o:debian:debian_linux:10.0:*:*:*:*:*:*:*

History

30 Sep 2022, 19:32

Type Values Removed Values Added
CPE cpe:2.3:o:debian:debian_linux:10.0:*:*:*:*:*:*:*
References (MLIST) https://lists.debian.org/debian-lts-announce/2022/09/msg00008.html - (MLIST) https://lists.debian.org/debian-lts-announce/2022/09/msg00008.html - Mailing List, Third Party Advisory
References (GENTOO) https://security.gentoo.org/glsa/202208-27 - (GENTOO) https://security.gentoo.org/glsa/202208-27 - Third Party Advisory

05 Sep 2022, 06:15

Type Values Removed Values Added
References
  • (MLIST) https://lists.debian.org/debian-lts-announce/2022/09/msg00008.html -

15 Aug 2022, 11:15

Type Values Removed Values Added
References
  • (GENTOO) https://security.gentoo.org/glsa/202208-27 -

01 Jun 2022, 18:02

Type Values Removed Values Added
First Time Debian debian Linux
Debian
References (MLIST) https://lists.debian.org/debian-lts-announce/2021/04/msg00009.html - (MLIST) https://lists.debian.org/debian-lts-announce/2021/04/msg00009.html - Mailing List, Third Party Advisory
CPE cpe:2.3:o:debian:debian_linux:9.0:*:*:*:*:*:*:*

11 Apr 2021, 01:15

Type Values Removed Values Added
References
  • (MLIST) https://lists.debian.org/debian-lts-announce/2021/04/msg00009.html -

03 Mar 2021, 16:19

Type Values Removed Values Added
CPE cpe:2.3:a:qemu:qemu:*:*:*:*:*:*:*:*
cpe:2.3:o:fedoraproject:fedora:33:*:*:*:*:*:*:*
References (MISC) https://bugzilla.redhat.com/show_bug.cgi?id=1922441 - (MISC) https://bugzilla.redhat.com/show_bug.cgi?id=1922441 - Issue Tracking, Patch, Third Party Advisory
References (MISC) https://bugs.launchpad.net/qemu/+bug/1913873 - (MISC) https://bugs.launchpad.net/qemu/+bug/1913873 - Exploit, Patch, Third Party Advisory
CVSS v2 : unknown
v3 : unknown
v2 : 2.1
v3 : 3.2

25 Feb 2021, 20:16

Type Values Removed Values Added
New CVE

Information

Published : 2021-02-25 20:15

Updated : 2022-09-30 19:32


NVD link : CVE-2021-20203

Mitre link : CVE-2021-20203


JSON object : View

Products Affected

debian

  • debian_linux

fedoraproject

  • fedora

qemu

  • qemu
CWE
CWE-190

Integer Overflow or Wraparound